package controllers

import (
	"eta/eta_index_lib/models"
	"eta/eta_index_lib/services"
)

type EdbInfoStatController struct {
	BaseAuthController
}

// SetEdbSourceStat
// @Title 指标终端更新情况定时汇总
// @Description 指标终端情况定时汇总
// @Success 200 {object}
// @router /source_update [post]
func (this *EdbInfoStatController) SetEdbSourceStat() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	// 钢联终端统计汇总
	_ = services.SetMysteelChemicalEdbInfoUpdateStat(true)
	_ = services.SetEdbSourceStat(true)

	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
}
